#include <linux/module.h>
#include <linux/device.h>

#define MODULE_NAME "sample_driver"

MODULE_LICENSE("GPL");
MODULE_DESCRIPTION("This is a sample driver.");
MODULE_AUTHOR("Yutaka Hirata");

struct sample_driver {
	struct device_driver driver;
};

static int sample_init(struct sample_driver *drv)
{
	char *p;

	p = "linux";
	printk("%s\n", p);
	p = NULL;
	printk("%s\n", p);
	printk("%pe\n", p);
	p = ERR_PTR(-ENOMEM);
	printk("%s\n", p);
	printk("%pe\n", p);

	return 0;
}

static void sample_exit(struct sample_driver *drv)
{
	printk("driver unloaded\n");
}

static struct sample_driver sa_drv = {
	.driver = {
		.name = MODULE_NAME,
	},
};

module_driver(sa_drv, sample_init, sample_exit);

