/*
 *
 * aarch64-buildroot-linux-uclibc-gcc -Wall wapp.c -o wapp
 *
 */
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <unistd.h>
#include <errno.h>

#define DEVFILE "/dev/samplehw"

int main(void)
{
	int fd;
	ssize_t ret;
	char buf[64];
	int i, len;

	fd = open(DEVFILE, O_RDWR);
	if (fd == -1) {
		perror("open");
		exit(1);
	}

	len = 40;
	memset(buf, 0, sizeof(buf));
	for (i = 0 ; i < len ; i++) {
		buf[i] = 'A' + i;
	}
	ret = write(fd, buf, len);
	printf("write %zd(%d)\n", ret, errno);
	if (ret < len) {
		perror("write");
	}

	close(fd);

	return 0;
}

