/*
 *
 * aarch64-buildroot-linux-uclibc-gcc app.c
 *
 */
#include <stdio.h>
#include <stdlib.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <unistd.h>
#include <errno.h>

#define DEVFILE "/dev/samplehw"

int main(void)
{
	int fd;
	ssize_t ret;
	char buf[64];
	int i, len;

	fd = open(DEVFILE, O_RDWR);
	if (fd == -1) {
		perror("open");
		exit(1);
	}

#if 0
	for (i = 0 ; i < 10 ; i++) {
		len = snprintf(buf, sizeof(buf), "hello%d", i);
		ret = write(fd, buf, len);
		if (ret < len) {
			perror("write");
		}
		printf("write %d(%d)\n", ret, errno);
	}
#endif

	ret = read(fd, buf, sizeof(buf));
	if (ret == -1) {
		perror("read");
	}
	for (i = 0 ; i < ret ; i++) {
		printf("%c", buf[i]);
	}
	printf("\n");

	close(fd);

	return 0;
}

