/*
 *
 * aarch64-buildroot-linux-uclibc-gcc -Wall wapp.c -o wapp
 *
 */
#include <stdio.h>
#include <stdlib.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <unistd.h>
#include <errno.h>

#define DEVFILE "/dev/samplehw"

int main(void)
{
	int fd;
	ssize_t ret;
	char buf[64];
	int i, len;

	fd = open(DEVFILE, O_RDWR);
	if (fd == -1) {
		perror("open");
		exit(1);
	}

	for (i = 0 ; i < 40 ; i++) {
		len = snprintf(buf, sizeof(buf), "%c", 'A' + i);
		ret = write(fd, buf, len);
		printf("write %zd(%d)\n", ret, errno);
		if (ret < len) {
			perror("write");
			break;
		}
	}

	close(fd);

	return 0;
}

